# -*- encoding: utf-8 -*-
# stub: complexity_assert 0.1.0 ruby lib

Gem::Specification.new do |s|
  s.name = "complexity_assert".freeze
  s.version = "0.1.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "allowed_push_host" => "https://rubygems.org" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Philippe Bourgau".freeze]
  s.bindir = "exe".freeze
  s.date = "2017-02-24"
  s.description = "They are some performance critical pieces of code that will be executed on huge data sets, which we want to make sure will run fast enough. Unfortunately, enforcing this is not easy, often requiring large scale and slow benchmarks. This rspec library (the result of an experiment to learn machine learning) uses linear regression to determine the time complexity (Big O notation, O(x)) of a piece of code and to check that it is at least as good as what we expect. This does not require huge data sets (only a few large ones) and can be written as any unit test (not as fast though).".freeze
  s.email = ["philippe.bourgau@gmail.com".freeze]
  s.homepage = "https://github.com/philou/complexity-assert".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "An experimental rspec library to check the time complexity (Big O(x) notation) of an algorithm.".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<rspec>.freeze, ["~> 3.5"])
    s.add_development_dependency(%q<bundler>.freeze, [">= 1.12"])
    s.add_development_dependency(%q<rake>.freeze, [">= 10.0"])
  else
    s.add_dependency(%q<rspec>.freeze, ["~> 3.5"])
    s.add_dependency(%q<bundler>.freeze, [">= 1.12"])
    s.add_dependency(%q<rake>.freeze, [">= 10.0"])
  end
end
